Bug 845403 - (onesixtyone) Review Request: onesixtyone - An efficient SNMP scanner - unretire
Review Request: onesixtyone - An efficient SNMP scanner - unretire
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fabian Affolter
Fedora Extras Quality Assurance
:
Depends On: 239200
Blocks: FE-SECLAB
  Show dependency treegraph
 
Reported: 2012-08-02 20:40 EDT by Michal Ambroz
Modified: 2014-10-17 13:37 EDT (History)
6 users (show)

See Also:
Fixed In Version: onesixtyone-0.3.2-12.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 11:15:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mail: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Michal Ambroz 2012-08-02 20:40:28 EDT
Hello colleagues,
I have taken ownership of the orphaned onesixtyone package. It has been orphaned for some time and got retired so it is necessary to pass the review request again now.

Spec URL: http://rebus.fedorapeople.org/SPECS/onesixtyone.spec
SRPM URL: http://rebus.fedorapeople.org/SRPMS/onesixtyone-0.3.2-8.fc17.src.rpm

Description:

onesixtyone takes a different approach to SNMP scanning. It takes advantage of
the fact that SNMP is a connectionless protocol and sends all SNMP requests
as fast as it can. Then the scanner waits for responses to come back and logs
them, in a fashion similar to Nmap ping sweeps.

Koji build:
$ koji build --scratch f17  /home/mambroz/rpmbuild/SRPMS/onesixtyone-Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=4353084
  0 free  0 open  3 done  0 failed
4353084 build (f17, onesixtyone-0.3.2-8.fc17.src.rpm) completed successfully

Best regards
Michal Ambroz
Comment 1 Fabian Affolter 2012-09-26 16:20:25 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contain kernel modules.
[x]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.


==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Sources contain only permissible code or content.
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package contains desktop file if it is a GUI application.
[-]: MUST Development files must be in a -devel package
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[-]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later) (with incorrect FSF address)" For detailed output of
     licensecheck see file:
     /home/fab/reviews/845403-onesixtyone/licensecheck.txt
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[-]: MUST If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[!]: SHOULD Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[!]: SHOULD Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL5
[!]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: SHOULD SourceX tarball generation or download is documented.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
See: None

Rpmlint
-------
Checking: onesixtyone-0.3.2-8.fc17.x86_64.rpm
          onesixtyone-0.3.2-8.fc17.src.rpm
          onesixtyone-debuginfo-0.3.2-8.fc17.x86_64.rpm
onesixtyone-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/onesixtyone-0.3.2/onesixtyone.c
3 packages and 0 specfiles checked; 1 errors, 0 warnings.


Rpmlint (installed packages)
----------------------------
# rpmlint onesixtyone-debuginfo
onesixtyone-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/onesixtyone-0.3.2/onesixtyone.c
1 packages and 0 specfiles checked; 1 errors, 0 warnings.
# echo 'rpmlint-done:'

Requires
--------
onesixtyone-0.3.2-8.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    
    libc.so.6()(64bit)  
    rtld(GNU_HASH)  

onesixtyone-debuginfo-0.3.2-8.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    

Provides
--------
onesixtyone-0.3.2-8.fc17.x86_64.rpm:
    
    onesixtyone = 0.3.2-8.fc17
    onesixtyone(x86-64) = 0.3.2-8.fc17

onesixtyone-debuginfo-0.3.2-8.fc17.x86_64.rpm:
    
    onesixtyone-debuginfo = 0.3.2-8.fc17
    onesixtyone-debuginfo(x86-64) = 0.3.2-8.fc17

MD5-sum check
-------------
http://www.phreedom.org/software/onesixtyone/releases/onesixtyone-0.3.2.tar.gz :
  CHECKSUM(SHA256) this package     : 450806718f72a75ea108e3675ca7856f15c518fcf517df68483c486c39910d02
  CHECKSUM(SHA256) upstream package : 450806718f72a75ea108e3675ca7856f15c518fcf517df68483c486c39910d02
http://www.phreedom.org/software/onesixtyone/releases/onesixtyone-0.3.2.tar.gz.sig :
  CHECKSUM(SHA256) this package     : d09a7fe31b655f2be40e22f70965f694cf5d1339dac45cef622dfc666224f81e
  CHECKSUM(SHA256) upstream package : d09a7fe31b655f2be40e22f70965f694cf5d1339dac45cef622dfc666224f81e


Generated by fedora-review 0.2.2 (9f8c0e5) last change: 2012-08-09
Command line :/usr/bin/fedora-review -b 845403
External plugins:

Issue are ok -> package will go to EPEL too

Package APPROVED
Comment 2 Michal Ambroz 2012-09-27 10:37:00 EDT
Thank you Fabian.
Comment 3 Michal Ambroz 2012-09-27 10:41:16 EDT
Hello SCM admins,
please could you unretire the onesixtyone package?

Package Change Request
======================
Package Name: pkgname
Unretire Branches: master f17 f16 el5 el6
New Branches: f18
Owners: rebus

Thank you
Michal Ambroz
Comment 4 Jon Ciesla 2012-09-27 11:02:48 EDT
Yes, but please correct the pkgname in the request.
Comment 5 Michal Ambroz 2012-09-28 06:19:12 EDT
Oops - sorry 

Package Change Request
======================
Package Name: onesixtyone
Unretire Branches: master f17 f16 el5 el6
New Branches: f18
Owners: rebus
Comment 6 Jon Ciesla 2012-09-28 07:03:57 EDT
Git done (by process-git-requests).
Comment 7 Michal Ambroz 2012-09-28 18:10:32 EDT
Hello,
seems that package is still blocked for build.
I have created ticket to engineering team to unblock the package in koji.
https://fedorahosted.org/rel-eng/ticket/5340
Comment 8 Fedora Update System 2012-10-21 19:13:51 EDT
onesixtyone-0.3.2-8.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/onesixtyone-0.3.2-8.fc17
Comment 9 Fedora Update System 2012-10-21 19:14:03 EDT
onesixtyone-0.3.2-8.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/onesixtyone-0.3.2-8.fc18
Comment 10 Fedora Update System 2012-10-22 12:57:13 EDT
onesixtyone-0.3.2-8.fc18 has been pushed to the Fedora 18 testing repository.
Comment 11 Fedora Update System 2012-12-20 11:15:42 EST
onesixtyone-0.3.2-8.fc17 has been pushed to the Fedora 17 stable repository.
Comment 12 Michal Ambroz 2014-09-23 13:56:44 EDT
Package Change Request
======================
Package Name: onesixtyone
New Branches: epel7
Owners: rebus

Hello SCM team,
plase can you add epel7 branch for the onesixtyone package?
Thank you
Michal Ambroz
Comment 13 Jon Ciesla 2014-09-23 15:21:44 EDT
Git done (by process-git-requests).
Comment 14 Fedora Update System 2014-09-24 20:44:37 EDT
onesixtyone-0.3.2-12.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/onesixtyone-0.3.2-12.el7
Comment 15 Fedora Update System 2014-10-17 13:37:23 EDT
onesixtyone-0.3.2-12.el7 has been pushed to the Fedora EPEL 7 stable repository.

Note You need to log in before you can comment on or make changes to this bug.